import request from '@/utils/request'

// 查询仪器维护记录列表
export function listRecord(query) {
  return request({
    url: '/check/record/list',
    method: 'get',
    params: query
  })
}

// 查询仪器维护记录详细
export function getRecord(id) {
  return request({
    url: '/check/record/' + id,
    method: 'get'
  })
}

// 新增仪器维护记录
export function addRecord(data) {
  return request({
    url: '/check/record',
    method: 'post',
    data: data
  })
}

// 修改仪器维护记录
export function updateRecord(data) {
  return request({
    url: '/check/record',
    method: 'put',
    data: data
  })
}

// 删除仪器维护记录
export function delRecord(id) {
  return request({
    url: '/check/record/' + id,
    method: 'delete'
  })
}
